package com.usoftchina.bi.server.model.bo;

public class Style {
    private int isLegend;           //图例
    private int isTooltip;            //提示框
    private int isDatazoom;           //缩放
    private int isToolbox;            //工具箱

    public int getIsLegend() {
        return isLegend;
    }

    public void setIsLegend(int isLegend) {
        this.isLegend = isLegend;
    }

    public int getIsTooltip() {
        return isTooltip;
    }

    public void setIsTooltip(int isTooltip) {
        this.isTooltip = isTooltip;
    }

    public int getIsDatazoom() {
        return isDatazoom;
    }

    public void setIsDatazoom(int isDatazoom) {
        this.isDatazoom = isDatazoom;
    }

    public int getIsToolbox() {
        return isToolbox;
    }

    public void setIsToolbox(int isToolbox) {
        this.isToolbox = isToolbox;
    }

    @Override
    public String toString() {
        return "Style{" +
                "isLegend=" + isLegend +
                ", isTooltip=" + isTooltip +
                ", isDatazoom=" + isDatazoom +
                ", isToolbox=" + isToolbox +
                '}';
    }
}
